package org.netkernel.module.standard;

import org.netkernel.layer0.nkf.NKFException;
import org.netkernel.urii.IIdentifier;
import org.netkernel.urii.ISpaceWithIdentity;
import org.netkernel.urii.IVersion;
import org.w3c.dom.Element;

public class RootSpaceWithIdentity extends RootSpace implements ISpaceWithIdentity
{
	private final IIdentifier mIdentifier;
	private final IVersion mVersion;
	
	public RootSpaceWithIdentity(IIdentifier aIdentifier, IVersion aVersion, StandardModule aOwner, boolean aIsPublic, Element aConfig) throws NKFException
	{	super(aOwner, aIsPublic, aConfig);
		mIdentifier=aIdentifier;
		mVersion=aVersion;
	}	
	
	public IIdentifier getIdentifier()
	{	return mIdentifier;
	}

	public IVersion getVersion()
	{	return mVersion;
	}	
	
	protected boolean isThisSpaceResolve(String aRequestId)
	{	return aRequestId.length()==0 || aRequestId.equals(mIdentifier.toString());
	}	
	
}
